<div class="container-xxl p-3 h-100 d-flex flex-column">
  <h4 style="color: #495057; text-align: center" class="mb-4">Корзина</h4>
  <div class="d-flex flex-column justify-content-between flex-grow-1 gap-4">
    <div *ngIf="orders[0]; else noOrders" class="d-flex flex-column flex-grow-1 gap-4">
      <div *ngFor="let order of orders; index as i"
           class="product-item">
        <div *ngIf="order.img; else noOrderImg"
             style="background-image: url('http://localhost:3000/public/{{order.img}}')"
              class="item-image"
             (click)="openProduct(order.productName)">
        </div>

        <ng-template #noOrderImg>
          <div style="background-image: url('assets/no-img.png')"
               class="item-image"
               (click)="openProduct(order.productName)">
          </div>
        </ng-template>

        <div class="d-flex w-50 flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center gap-2">
          <div class="d-flex flex-column ">
            <h6>{{order.productName}}</h6>
            <div>{{order.company}}</div>
          </div>
          <div style="font-size: 18px">{{order.price}}</div>
        </div>
        <button pButton type="button"
                (click)="deleteOrder(i)"
                icon="pi pi-times"
                class="p-button-text p-button-rounded"
                style="color: #ee6060">
        </button>
      </div>
    </div>
    <div class="d-flex gap-4 align-items-stretch align-items-sm-center flex-sm-row flex-column w-100">
      <div class="item-price">Итоговая стоимость <b>$ {{totalPrice}}</b></div>
      <button type="button"
              (click)="orderModal = true"
              class="btn btn-primary flex-grow-1"
              [disabled] = !orders[0]>
        Оформить заказ
      </button>
    </div>
  </div>
</div>

<p-dialog *ngIf="orderModal" header="Оформление заказа" [(visible)]="orderModal" [modal]="true">
  <div class="input-item">
   <span>Имя<sup>*</sup></span>
   <input type="text"
          placeholder="Введите имя"
          pInputText
          [(ngModel)]="userName"/>
  </div>
  <div class="input-item">
    <span>Телефон<sup>*</sup></span>
    <input type="text"
           placeholder="Укажите номер телефона"
           pInputText
           [(ngModel)]="phone"/>
  </div>
  <div class="form-caption">
    <p>* поля являются обязательными</p>
  </div>
  <button type="submit"
          (click)="sendOrder()"
          [disabled]="!userName || ! phone"
          class="btn btn-primary w-100">
    Оформить
  </button>
</p-dialog>

<p-dialog [(visible)]="successDialog">
  <ng-template pTemplate="header">
    <span>
      Заказ № <b>{{orderNumber}}</b> успешно оформлен.
    </span>
  </ng-template>
  <ng-template pTemplate="footer">
    <div class="d-flex flex-sm-row flex-column justify-content-between gap-4">
      <button type="button"
              routerLink="/products/products-list"
              class="btn btn-outline-primary flex-grow-1">
        Вернуться к товарам
      </button>
      <button type="button"
              routerLink="/products/account/user-orders"
              class="btn btn-primary flex-grow-1">
        Посмотреть заказ
      </button>
    </div>
  </ng-template>
</p-dialog>

<ng-template #noOrders>
  <div class="empty-page">Корзина пуста</div>
</ng-template>

<p-toast position="top-left"></p-toast>
